Bug 143087 - CAN-2004-1267 Bernstein cups issues (CAN-2004-1268 CAN-2004-1269 CAN-2004-1270)
CAN-2004-1267 Bernstein cups issues (CAN-2004-1268 CAN-2004-1269 CAN-2004-1270)
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-12-16 09:24 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-12 13:47:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-16 09:24:32 EST
Part of djb series
        In hpgl-input.c, ParseCommand() reads any number of bytes into
        a 262144-byte buf[] array.

        First, lppasswd blithely ignores write errors in
        fputs(line,outfile) at lines 311 and 315 of lppasswd.c, and in
        fprintf(...) at line 346. An attacker who fills up the disk at
        the right moment can arrange for /usr/local/etc/cups/passwd to
        be truncated.

        Second, if lppasswd bumps into a file-size resource limit
        while writing passwd.new, it leaves passwd.new in place,
        disabling all subsequent invocations of lppasswd. Any local
        user can thus disable lppasswd by running the attached program

        Third, line 306 of lppasswd.c prints an error message to
        stderr but does not exit. This is not a problem on systems
        that ensure that file descriptors 0, 1, and 2 are open for
        setuid programs, but it is a problem on other systems;
        lppasswd does not check that passwd.new is different from
        stderr, so it ends up writing a user-controlled error message
        to passwd if the user closes file descriptor 2.

Comment 8 Josh Bressers 2005-01-12 13:47:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.